Class UmlValueSpecificationAction

Declaration :

- C++ : class UmlValueSpecificationAction : public UmlBaseValueSpecificationAction
- Java : class UmlValueSpecificationAction extends UmlBaseValueSpecificationAction

Artifact : UmlActivityActionClasses

Operation UmlValueSpecificationAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlValueSpecificationAction(in id : item_id, in s : string) :
- C++ : public: UmlValueSpecificationAction(void * id, const QCString & s) : UmlBaseValueSpecificationAction(id, s)
- Java : public UmlValueSpecificationAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , cppValue , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaValue , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_CppValue , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaValue , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Value , stereotype , supportFile , unload , unload , unload , value